Logo
OpenScaler

VM create progress steps

GET
/v1/vm-create-progress-categories

Static catalog of progress categories shown during VM creation. Used by clients to render progress UI while consuming GET /v1/events/create-vm/{sequence_id}.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/vm-create-progress-categories"
{  "messages": [    {      "id": "vm-create-prep",      "progress": 10,      "message": "allocated resources for vm",      "status": "Pending",      "optional": true,      "resources": [        {          "id": "string",          "name": "string",          "node_type": "vm"        }      ]    }  ]}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}